Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.ipulse.one/v2/toolbox/whois \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "example.com"
}
'import requests
url = "https://api.ipulse.one/v2/toolbox/whois"
payload = { "domain": "example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'example.com'})
};
fetch('https://api.ipulse.one/v2/toolbox/whois', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ipulse.one/v2/toolbox/whois",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => 'example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "<string>",
"data": {
"domain": "<string>",
"registrar": "<string>",
"creation_date": "2023-11-07T05:31:56Z",
"expiration_date": "2023-11-07T05:31:56Z",
"nameservers": [
"<string>"
],
"raw_data": "<string>"
}
}{
"success": false,
"message": "Unauthenticated."
}{
"success": false,
"message": "This feature requires an Expert Plan subscription."
}{
"success": false,
"message": "The given data was invalid.",
"errors": {
"name": [
"The name field is required."
]
}
}Perform WHOIS domain lookup (Expert Plan required)
API token generated from your PulseGuard dashboard
Domain name for WHOIS lookup
"example.com"
